from setuptools import setup

setup(
    name="pyrocon",
    version="2.0.8",
    author="SPiDER",
    author_email="mindajitendra63@gmail.com",
    description=("Easy conversation handler for pyrogram mtproto library..."),
    license="BSD",
    keywords="example documentation tutorial",
    long_description="install pyrocon using pip\n\n```pip3 install -U pyrocon```\n\n#Conversation in pyrogram \n\n```from pyrocon import patch```\n\n **patch(client, clear, timeout, stop_cmd, placeholder)**\n\n\n__client__ : 'Client' required parameter ( Pyrogram Client )\n\n__clear__ : 'bool' required parameter set true if you want delete msg after get answer(Default to False)\n\n__timeout__ : 'int' optional parameter (Default to 30 sec)\n\n__stop_cmd__ : 'str' optional parameter (Default to __/cancel__)\n\n__placeholder__ : 'str' optional parameter (Custom placeholder for Forcereply)\n\n\n============================================================\n\n\n **patch.ask(update, text, cquery, filter)**\n\n\n__update__ : 'Message/CallbacQuery' required parameter (Where to start conv..)\n\n__text__ : 'str' Required parameter (Question to ask)\n\n__cquery__ : 'bool' Parameter set True when asking with inline buttons (Default to __False__)\n\n__filter__ : Pyrogram filters optional parameter (Default to __filters.text__)\n\n\n============================================================\n\n\n#**using example:**\n\n#**Create quiz instance**\n```\n  from pyrocon import patch\n  from pyrogram import Client,filters\n  \n  app = Client(...)\n  quiz = patch(app)\n\n  @app.on_message(..)  \n  async def _(client,message):\n    answer = await quiz.ask(message,text)\n    if answer.text:\n     print(answer.text)\n    await answer.reply(\"I got answer..\")\n\n  app.run()\n```\n\n\n#**handle text messages**\n\n```\n  answer = await quiz.ask(message,text)\n  if answer.text:\n    print(answer.text)\n  await answer.reply(\"I got answer..\")\n  ```\n\n#**handle CallbackQuery / inline buttons**\n\n```\n  answer = await quiz.ask(CallbacQuery,text,cquery=True)\n  if answer.text:\n    print(answer.text)\n  await answer.reply(\"I got answer..\")\n  ```\n\n#**Using pyrogram filters**\n\n __single filter__ \n\n```\n  from pyrogram import filters\n\n  answer = await quiz.ask(update,text,filter=filters.photo)\n  print(answer.photo)\n\n  ```\n __multiple filters (same as pyrogram)__\n\n```\n  from pyrogram import filters\n\n  answer = await quiz.ask(update,text,filter=(filters.photo & filters.group))\n  print(answer.photo)\n\n  ```\n\n\n#**Handle any kind of errors**\n\n```\n  answer = await quiz.ask(update,text)\n  if answer.error:\n    print(answer.error)\n  ```\n\n#**Handle timeout Errors**\n\n```\n  answer = await quiz.ask(update,text)\n  if answer.timeout:\n    print(answer.timeout)\n  ```\n\n#**Handle cancellation Errors**\n\n```\n  answer = await quiz.ask(update,text)\n  if answer.cancel:\n    print(answer.cancel)\n  ```\n\nFacts:\n\n#if successful answer is Message object otherwise an error\n\n#answer must be in reply to orginal message and should be a text message otherwise message will be ignored",
    long_description_content_type="text/markdown",
    url="https://github.com/Surendra9123/Pyrocon",
    packages=["pyrocon"],
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Topic :: Utilities",
        "License :: OSI Approved :: BSD License",
    ],
)
